function LovelyEmotes.UpdateSettings()
	local savedAccountVariables = LovelyEmotes.SavedAccountVariables
	local savedLocalVariables = LovelyEmotes.SavedLocalVariables

	-- Update old favorite emote settings
	if savedAccountVariables.FavoriteEmotes ~= nil then
		ZO_ShallowTableCopy(savedAccountVariables.FavoriteEmotes, savedAccountVariables.FavoriteEmotesTabs[1].EmoteIDs)
		savedAccountVariables.FavoriteEmotes = nil
	end

	if savedAccountVariables.FavoriteButtonCount ~= nil then
		savedAccountVariables.FavoriteEmotesTabs[1].ButtonCount = savedAccountVariables.FavoriteButtonCount
		savedAccountVariables.FavoriteButtonCount = nil
	end

	if savedLocalVariables.FavoriteEmotes ~= nil then
		ZO_ShallowTableCopy(savedLocalVariables.FavoriteEmotes, savedLocalVariables.FavoriteEmotesTabs[1].EmoteIDs)
		savedLocalVariables.FavoriteEmotes = nil
	end

	if savedLocalVariables.FavoriteButtonCount ~= nil then
		savedLocalVariables.FavoriteEmotesTabs[1].ButtonCount = savedLocalVariables.FavoriteButtonCount
		savedLocalVariables.FavoriteButtonCount = nil
	end

	-- Update old alpha setting for the minimized window
	if savedAccountVariables.MinimizedAlpha < 10 then
		savedAccountVariables.MinimizedAlpha = LovelyEmotes.AccountVariables.MinimizedAlpha
		savedAccountVariables.EnableMinimizedState = false
	elseif savedAccountVariables.MinimizedAlpha < 20 then
		savedAccountVariables.MinimizedAlpha = 20
	end

	-- Delete obsolete variables
	if savedAccountVariables.RadialMenuVariant ~= nil then
		savedAccountVariables.RadialMenuVariant = nil
	end

	if savedAccountVariables.CustomButtonsForceDisplayName ~= nil then
		savedAccountVariables.FavoriteCommandsShowDisplayName = savedAccountVariables.CustomButtonsForceDisplayName
		savedAccountVariables.CustomButtonsForceDisplayName = nil
	end

	-- Update old favorite commands
	if savedAccountVariables.CustomButtonsData ~= nil then
		for i,v in ipairs(savedAccountVariables.CustomButtonsData) do
			if v.Command ~= nil then
				table.insert(savedAccountVariables.FavoriteCommandsData, v)
			end
		end

		savedAccountVariables.CustomButtonsData = nil
	end
end
